<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RDateTimeGroupNtpReference StructType
 * @subpackage Structs
 */
class RDateTimeGroupNtpReference extends AbstractStructBase
{
    /**
     * The phoneNtpName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $phoneNtpName;
    /**
     * The selectionOrder
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $selectionOrder;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RDateTimeGroupNtpReference
     * @uses RDateTimeGroupNtpReference::setPhoneNtpName()
     * @uses RDateTimeGroupNtpReference::setSelectionOrder()
     * @uses RDateTimeGroupNtpReference::setUuid()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $phoneNtpName
     * @param string $selectionOrder
     * @param string $uuid
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $phoneNtpName = null, $selectionOrder = null, $uuid = null)
    {
        $this
            ->setPhoneNtpName($phoneNtpName)
            ->setSelectionOrder($selectionOrder)
            ->setUuid($uuid);
    }
    /**
     * Get phoneNtpName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getPhoneNtpName()
    {
        return $this->phoneNtpName;
    }
    /**
     * Set phoneNtpName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $phoneNtpName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RDateTimeGroupNtpReference
     */
    public function setPhoneNtpName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $phoneNtpName = null)
    {
        $this->phoneNtpName = $phoneNtpName;
        return $this;
    }
    /**
     * Get selectionOrder value
     * @return string|null
     */
    public function getSelectionOrder()
    {
        return $this->selectionOrder;
    }
    /**
     * Set selectionOrder value
     * @param string $selectionOrder
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RDateTimeGroupNtpReference
     */
    public function setSelectionOrder($selectionOrder = null)
    {
        $this->selectionOrder = $selectionOrder;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RDateTimeGroupNtpReference
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
